@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap');

input[type="checkbox"]:before,
input[type="checkbox"]:checked:before {
  position: absolute;
  top: -3px;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  color: #000000;
  font-weight: 700;
}
input[type="checkbox"]:checked:before {
  content: '\2713';
}
input[type="checkbox"] {
  -webkit-appearance: none;
  height: 12px;
  width: 12px;
  border-radius: 2px;
  outline: none;
  cursor: pointer;
  position: relative;
  background-color: #FFFFFF;
  margin-left: 0;
  box-shadow: 0px 0px 4px #FFFFFF;
}
input[type=number] {
  -moz-appearance: textfield;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
::-webkit-scrollbar {
  width: 5px;
  height: 3px;
  border-radius: 8px;
}
::-webkit-scrollbar-track {
  background: #FFFFFF;
}
::-webkit-scrollbar-thumb {
  background: #000000;
}
body {
  margin: 0;
  padding: 0;
}
* {
  box-sizing: border-box;
  font-family: 'Poppins';
}
p {
  font-size: 14px;
  line-height: 1.6;
  margin: 0;
  color: #191919;
  width: 100%;
}
p strong,
p b {
  font-weight: 700;
}
a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}
h1,
h2,
h3,
h4 {
  margin: 0;
}
h2 {
  font-weight: 600;
  font-style: normal;
}
ul {
  width: 100%;
}
ul,
li {
  padding: 0;
  margin: 0;
  color: #191919;
  list-style: none;
  font-size: 14px;
}
button {
  border: 0;
  cursor: pointer;
}
.container {
  width: 100%;
}
section {
  display: flex;
  padding: 3rem 1.5rem;
}
@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.8);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes circleMover {
  from {
    transform: rotate(0deg) translateX(13px) translateY(5px);
  }
  to {
    transform: rotate(360deg) translateX(13px) translateY(5px);
  }
}
@keyframes scale {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.8);
  }
  100% {
    transform: scale(1);
  }
}
.r-programming .buttons {
  display: flex;
  margin-top: 1.5rem;
}
.r-programming .buttons .btn-orange,
.r-programming .buttons .btn-white {
  display: flex;
  font-weight: 600;
  padding: 10px 14px;
  align-items: center;
  justify-content: center;
  outline: 0;
  font-size: 14px;
  min-width: 160px;
  color: #FFFFFF;
  border-radius: 50px;
  position: relative;
  transition: all 1s ease-in-out;
  z-index: 1;
  overflow: hidden;
}
.r-programming .buttons .btn-orange img,
.r-programming .buttons .btn-white img {
  width: 20px;
  height: 20px;
  margin-right: 8px;
}
.r-programming .buttons .btn-orange::before,
.r-programming .buttons .btn-white::before,
.r-programming .buttons .btn-orange::after,
.r-programming .buttons .btn-white::after {
  content: '';
  height: 50%;
  width: 0;
  position: absolute;
  transition: 1s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  -webkit-transition: 1s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  z-index: -1;
}
.r-programming .buttons .btn-orange::before,
.r-programming .buttons .btn-white::before {
  top: 0;
  left: 0;
  right: auto;
}
.r-programming .buttons .btn-orange::after,
.r-programming .buttons .btn-white::after {
  bottom: 0;
  right: 0;
  left: auto;
}
.r-programming .buttons .btn-orange:hover,
.r-programming .buttons .btn-white:hover {
  box-shadow: 0 1px 6px rgba(255, 255, 255, 0.5);
}
.r-programming .buttons .btn-orange:hover::before,
.r-programming .buttons .btn-white:hover::before {
  width: 100%;
  right: 0;
  left: auto;
}
.r-programming .buttons .btn-orange:hover::after,
.r-programming .buttons .btn-white:hover::after {
  width: 100%;
  left: 0;
  right: auto;
}
.r-programming .buttons .btn-orange {
  background-color: #FE4019;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
}
.r-programming .buttons .btn-orange::before,
.r-programming .buttons .btn-orange::after {
  background-color: #3E2185;
}
.r-programming .buttons .btn-white {
  background-color: #3E2185;
  box-shadow: 0px 0px 6px #FFFFFF;
}
.r-programming .buttons .btn-white::before,
.r-programming .buttons .btn-white::after {
  background-color: #F5F5F5;
  opacity: 0.2;
}
.r-programming .heading {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
  width: 100%;
}
.r-programming .heading p {
  margin-top: 1rem;
}
.r-programming .heading h2 {
  width: 100%;
}
.r-programming .heading h2 span {
  padding-left: 2rem;
  position: relative;
}
.r-programming .heading h2 span::before,
.r-programming .heading h2 span::after {
  content: '';
  position: absolute;
}
.r-programming .heading h2 span::before {
  background-color: #3E2185;
  border-radius: 50%;
  height: 10px;
  width: 10px;
  top: 14px;
  left: 2px;
  animation: pulse 2s linear infinite;
}
.r-programming .heading h2 span::after {
  background-image: url(/_public/images/r-programming/heading-circle.png);
  background-repeat: no-repeat;
  background-size: cover;
  height: 24px;
  width: 12px;
  top: 6px;
  left: 2px;
  animation: circleMover 5s linear infinite;
}
.r-programming .center-heading {
  justify-content: center;
  align-items: center;
}
.r-programming .center-heading h2,
.r-programming .center-heading p {
  text-align: center;
}
.r-programming .white-heading h2,
.r-programming .white-heading p {
  color: #FFFFFF;
}
.r-programming .white-heading h2 span::before {
  background-color: #FE4019;
}
.r-programming .banner {
  flex-direction: column;
  padding-top: 1.5rem;
}
.r-programming .banner .logo-container,
.r-programming .banner .tka-logo,
.r-programming .banner .menu,
.r-programming .banner .menu-toggle {
  display: flex;
}
.r-programming .banner .banner-container,
.r-programming .banner .banner-content,
.r-programming .banner .overview-content,
.r-programming .banner .overview-container,
.r-programming .banner .banner-info,
.r-programming .banner .image,
.r-programming .banner .method-container,
.r-programming .banner .method-item,
.r-programming .banner .method-content,
.r-programming .banner .content {
  display: flex;
  flex-direction: column;
}
.r-programming .banner .container {
  height: 100%;
}
.r-programming .banner .logo-container {
  height: 100%;
  padding-bottom: 1rem;
  border-bottom: 1px solid #3E2185;
}
.r-programming .banner .logo-container .container {
  display: flex;
  justify-content: space-between;
  height: auto;
}
.r-programming .banner .tka-logo {
  max-width: 200px;
}
.r-programming .banner .tka-logo img {
  width: 100%;
  height: 100%;
}
.r-programming .banner .menu {
  z-index: 1;
  margin-left: auto;
}
.r-programming .banner .menu img {
  width: 22px;
  height: 23px;
}
.r-programming .banner .menu-links {
  width: 0;
  transition: all 0.5s;
  height: fit-content;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 15;
  background-color: #3E2185;
  box-shadow: 0 3px 6px #FFFFFF;
  color: #FFFFFF;
}
.r-programming .banner .menu-toggle {
  font-weight: 500;
}
.r-programming .banner .menu-toggle img {
  width: 15px;
  height: 15px;
  margin-right: 5px;
}
.r-programming .banner ul .links-li {
  padding: 8px 0;
  border-bottom: 1px dotted #FFFFFF;
  font-weight: 500;
  color: #FFFFFF;
}
.r-programming .banner ul .links-li:first-child {
  padding-top: 0;
}
.r-programming .banner ul .links-li:nth-child(5) {
  border-bottom: none;
  padding-bottom: 0;
}
.r-programming .banner ul .links-li:last-child {
  display: none;
}
.r-programming .banner .menu.active + .menu-links {
  padding: 15px;
  width: 80%;
}
.r-programming .banner .menu.active + .menu-links .menu-toggle {
  justify-content: flex-end;
  align-items: center;
}
.r-programming .banner .sticky {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  transition: 1s;
  height: auto;
  background-color: #FFFFFF;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  border-bottom: 0 ;
  padding: 1rem 1.5rem !important;
}
.r-programming .banner .sticky-down {
  top: -100px;
}
.r-programming .banner .banner-container {
  padding-top: 1.5rem;
  align-items: flex-start;
}
.r-programming .banner .banner-content {
  width: 100%;
}
.r-programming .banner .banner-content h4 {
  padding: 0.3rem 0.9rem;
  border: 2px solid #3E2185;
  font-weight: 500;
  font-size: 14px;
}
.r-programming .banner .banner-content h1 {
  font-size: 27px;
  line-height: 1.3;
  margin: 0.5rem 0;
  background: -webkit-linear-gradient(0deg, #3E2185, #FE4019);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.r-programming .banner .banner-content h1 img {
  width: 38px;
  height: 38px;
  margin-right: 0.8rem;
  transform: translateY(10px);
}
.r-programming .banner .banner-info {
  padding: 1rem;
  border-radius: 20px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  margin-top: 2rem;
  background-color: #FFFFFF;
  width: 100%;
  height: 100%;
}
.r-programming .banner .banner-info span {
  display: flex;
  width: 100%;
  height: 100%;
  margin-bottom: 0.8rem;
}
.r-programming .banner .banner-info span img {
  width: 100%;
  height: 100%;
}
.r-programming .banner .banner-info h2 {
  text-align: center;
  font-size: 19px;
  margin-top: 0.5rem;
}
.r-programming .banner .overview-container {
  margin-top: 2rem;
}
.r-programming .banner .overview-container {
  background-color: #3E2185;
  padding: 1rem;
}
.r-programming .banner .overview-container .overview-content {
  align-items: center;
  width: 100%;
}
.r-programming .banner .overview-container .overview-content p {
  text-align: center;
  color: #FFFFFF;
}
.r-programming .banner .overview-container .overview-content p:nth-child(3) {
  margin-top: 1rem;
}
.r-programming .banner .overview-container .overview-info {
  display: flex;
  height: 100%;
  margin-top: 2rem;
}
.r-programming .banner .overview-container .overview-info img {
  width: 100%;
  height: 100%;
}
.r-programming .banner .method-container {
  background-color: #3E2185;
  padding: 3rem 1rem 1rem 1rem;
}
.r-programming .banner .method-container .heading {
  margin-bottom: 0;
}
.r-programming .banner .method-container .buttons {
  align-self: center;
}
.r-programming .banner .method-container .method-item {
  z-index: 1;
  position: relative;
  height: 243px;
  width: 272px;
  align-self: center;
  overflow: hidden;
  padding: 0 1rem;
}
.r-programming .banner .method-container .method-item span {
  display: flex;
  width: 100%;
  height: 182px;
  border-radius: 10px;
  overflow: hidden;
  transition: 1s all;
}
.r-programming .banner .method-container .method-item span img {
  width: 100%;
  height: 100%;
}
.r-programming .banner .method-container .method-item .content {
  position: absolute;
  width: 100%;
  height: 38px;
  bottom: 10px;
  transition: 1s all;
}
.r-programming .banner .method-container .method-item .content h3 {
  color: #FFFFFF;
  font-size: 15px;
}
.r-programming .banner .method-container .method-item .content h4 {
  display: none;
  color: #FFFFFF;
  background-color: #3E2185;
  position: absolute;
  top: 12px;
  right: 0;
  width: 110px;
  text-align: center;
  border-radius: 20px 0px 0px 20px;
  padding: 0.3rem;
  justify-content: center;
  font-weight: 500;
}
.r-programming .banner .method-container .method-item .content p {
  display: none;
  font-size: 13px;
  margin: 1rem 0;
}
.r-programming .banner .method-container .method-item .content a {
  display: none;
  font-size: 15px;
  font-weight: 600;
  align-items: center;
}
.r-programming .banner .method-container .method-item .content a img {
  width: 15px;
  height: 15px;
  margin-left: 0.5rem;
}
.r-programming .banner .method-container .method-item:hover span {
  height: 100%;
}
.r-programming .banner .method-container .method-item:hover .content {
  border-radius: 10px;
  height: 100%;
  justify-content: center;
  padding: 2rem 1rem;
  background-color: rgba(255, 255, 255, 0.78);
}
.r-programming .banner .method-container .method-item:hover .content h3 {
  color: #191919;
}
.r-programming .banner .method-container .method-item:hover .content h4,
.r-programming .banner .method-container .method-item:hover .content p,
.r-programming .banner .method-container .method-item:hover .content a {
  display: flex;
}
.r-programming .banner .method-container .method-item:nth-child(2) {
  margin-top: 2rem;
}
.r-programming .course {
  padding-top: 0;
}
.r-programming .course .course-container,
.r-programming .course .course-list {
  display: flex;
  flex-direction: column;
}
.r-programming .course .heading {
  margin-bottom: 0;
}
.r-programming .course .heading p {
  margin-top: 0;
  margin-bottom: 0.5rem;
}
.r-programming .course .heading p strong {
  color: #3E2185;
}
.r-programming .course .course-item {
  display: flex;
  flex-wrap: wrap;
  background-image: url(/_public/images/r-programming/gray-bg.png);
  background-size: 77% 59%;
  background-position: top left;
  background-repeat: no-repeat;
  padding: 1rem;
  margin-top: 2rem;
  width: 272px;
  align-self: center;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  justify-content: space-between;
  position: relative;
  z-index: 1;
}
.r-programming .course .course-item::before {
  content: '';
  position: absolute;
  bottom: 0;
  background-color: #3E2185;
  background-image: url(/_public/images/r-programming/blue-bg.png);
  background-position: right bottom;
  background-repeat: no-repeat;
  background-size: 80% 60%;
  left: 0;
  height: 0%;
  width: 100%;
  transition: 1.5s all;
  z-index: -1;
}
.r-programming .course .course-item h3 {
  font-size: 14px;
  width: calc(100% - 45px);
  margin-bottom: 1rem;
  transition: 1s all;
}
.r-programming .course .course-item span {
  display: flex;
  width: 40px;
  height: 40px;
}
.r-programming .course .course-item span img {
  width: 100%;
  height: 100%;
}
.r-programming .course .course-item span img:last-child {
  display: none;
}
.r-programming .course .course-item p {
  width: 100%;
  font-size: 13px;
  transition: 1.2s all;
}
.r-programming .course .course-item:hover {
  background-image: none;
}
.r-programming .course .course-item:hover::before {
  height: 100%;
}
.r-programming .course .course-item:hover h3,
.r-programming .course .course-item:hover p {
  color: #FFFFFF;
}
.r-programming .course .course-item:hover span img:first-child {
  display: none;
}
.r-programming .course .course-item:hover span img:last-child {
  display: flex;
}
.r-programming .course .buttons {
  margin-top: 1rem;
}
.r-programming .course .buttons .btn-orange {
  min-width: 140px;
  font-size: 14px;
  padding: 7px 14px;
}
.r-programming .course .buttons .btn-orange img {
  width: 18px;
  height: 18px;
}
.r-programming .fact {
  background-color: #F5F5F5;
}
.r-programming .fact .fact-container,
.r-programming .fact .fact-item {
  display: flex;
  flex-direction: column;
}
.r-programming .fact .heading {
  margin-bottom: 0;
}
.r-programming .fact .fact-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.r-programming .fact .fact-item {
  align-items: center;
  margin-top: 2rem;
  width: 48%;
  z-index: 1;
}
.r-programming .fact .fact-item p {
  text-align: center;
  font-weight: 500;
  font-size: 15px;
}
.r-programming .fact .fact-item .image {
  display: flex;
  background-color: #3E2185;
  width: 57px;
  height: 57px;
  border-radius: 4px;
  padding: 0.6rem;
  position: relative;
}
.r-programming .fact .fact-item .image img {
  width: 100%;
  height: 100%;
}
.r-programming .fact .fact-item .image::before {
  content: '';
  position: absolute;
  width: 50px;
  height: 50px;
  left: -20px;
  bottom: -15px;
  background-color: #FE4019;
  border-radius: 50px;
  opacity: 0.3;
  animation: pulse 2s linear infinite;
  z-index: -1;
}
.r-programming .fact .fact-count {
  display: flex;
  margin: 1.5rem 0 0.1rem;
}
.r-programming .fact .fact-count span,
.r-programming .fact .fact-count h4 {
  font-size: 35px;
  font-weight: 600;
}
.r-programming .onsite {
  padding-top: 0;
}
.r-programming .onsite .onsite-container,
.r-programming .onsite .onsite-info,
.r-programming .onsite .certified,
.r-programming .onsite .content,
.r-programming .onsite .onsite-content {
  display: flex;
  flex-direction: column;
}
.r-programming .onsite .onsite-info {
  padding: 1rem;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}
.r-programming .onsite .certified {
  background-color: #F5F5F5;
  padding: 0.8rem;
}
.r-programming .onsite .certified h3 {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 1rem;
}
.r-programming .onsite .certified ul li {
  margin: 0 0 0.2rem 1rem;
  position: relative;
  font-weight: 500;
  font-size: 12px;
}
.r-programming .onsite .certified ul li::before {
  content: '';
  position: absolute;
  background-color: #3E2185;
  width: 10px;
  height: 10px;
  border-radius: 50px;
  left: -16px;
  top: 5px;
}
.r-programming .onsite .certified ul li:last-child {
  margin-bottom: 0;
}
.r-programming .onsite .certified:first-child {
  justify-content: center;
}
.r-programming .onsite .certified:first-child img {
  width: 100%;
  height: auto;
}
.r-programming .onsite .certified:nth-child(2) {
  margin-top: 0.5rem;
}
.r-programming .onsite .certified:nth-child(2) p {
  text-align: center;
  font-weight: 500;
  line-height: 1.4;
  font-size: 12px;
}
.r-programming .onsite .certified:nth-child(2) img {
  width: 50px;
  height: 50px;
  margin: 0 auto 1rem;
}
.r-programming .onsite .certified:nth-child(3) {
  flex-direction: row;
  margin-top: 0.5rem;
  justify-content: space-between;
}
.r-programming .onsite .certified:nth-child(3) .content {
  width: 100%;
}
.r-programming .onsite .certified:nth-child(3) img {
  display: none;
}
.r-programming .onsite .onsite-content {
  margin-top: 2rem;
}
.r-programming .onsite .onsite-content p:nth-child(3) {
  margin-top: 1rem;
}
.r-programming .feature .feature-container,
.r-programming .feature .feature-content {
  display: flex;
  flex-direction: column;
}
.r-programming .feature .feature-content {
  align-items: center;
}
.r-programming .feature .feature-content p {
  text-align: center;
}
.r-programming .feature .feature-content p:nth-child(3) {
  margin-top: 1rem;
}
.r-programming .feature .feature-info {
  display: flex;
  height: 100%;
  margin-top: 2rem;
}
.r-programming .feature .feature-info img {
  width: 100%;
  height: 100%;
}
.r-programming .learn {
  background-color: #3E2185;
}
.r-programming .learn .learn-container,
.r-programming .learn .learn-list {
  display: flex;
  flex-direction: column;
}
.r-programming .learn .learn-container {
  align-items: flex-start;
}
.r-programming .learn .learn-list {
  height: 100%;
  width: 100%;
}
.r-programming .learn .learn-list ul li {
  display: flex;
  color: #FFFFFF;
  align-items: center;
  min-height: 110px;
  margin-top: 2rem;
  font-weight: 600;
  font-size: 15px;
}
.r-programming .learn .learn-list ul li img {
  min-width: 40px;
  height: 40px;
}
.r-programming .learn .learn-list ul:nth-child(1) li {
  background-image: linear-gradient(270deg, #3e2185, #6447ab);
  padding: 1.2rem 1.2rem 1.2rem 2rem;
}
.r-programming .learn .learn-list ul:nth-child(1) li img {
  margin-right: 1.5rem;
}
.r-programming .learn .learn-list ul:nth-child(1) li:first-child {
  margin-top: 0;
}
.r-programming .learn .learn-list ul:nth-child(3) li {
  background-image: linear-gradient(90deg, #3e2185, #6447ab);
  padding: 1.2rem 2rem 1.2rem 1.2rem;
}
.r-programming .learn .learn-list ul:nth-child(3) li img {
  margin-left: 1.5rem;
}
.r-programming .learn .learn-info {
  display: flex;
  margin-top: 2rem;
  height: 100%;
}
.r-programming .learn .learn-info img {
  width: 100%;
  height: 100%;
}
.r-programming .choose .heading {
  margin-bottom: 0;
}
.r-programming .choose .choose-container,
.r-programming .choose .choose-list,
.r-programming .choose .choose-item {
  display: flex;
  flex-direction: column;
}
.r-programming .choose .choose-item {
  margin-top: 2rem;
  padding: 0.3rem 0.3rem 1.5rem;
  align-items: center;
  border: 1px solid #3E2185;
  border-radius: 6px;
}
.r-programming .choose .choose-item h3,
.r-programming .choose .choose-item p {
  text-align: center;
}
.r-programming .choose .choose-item h3 {
  padding: 1.5rem 0.5rem;
  width: 100%;
  background-color: #F5F5F5;
  font-size: 16px;
  border-radius: 5px 5px 0 0;
}
.r-programming .choose .choose-item p {
  padding: 0 0.5rem;
  font-size: 13px;
}
.r-programming .choose .choose-item img {
  width: 48px;
  height: 48px;
  margin: 1rem 0;
}
.r-programming .use {
  background-color: #F5F5F5;
}
.r-programming .use .use-container,
.r-programming .use .use-content,
.r-programming .use .use-info {
  display: flex;
  flex-direction: column;
}
.r-programming .use .use-container {
  align-items: flex-start;
}
.r-programming .use .use-content {
  align-items: center;
  width: 100%;
}
.r-programming .use .use-content p {
  text-align: center;
}
.r-programming .use .use-info {
  display: flex;
  margin-top: 2rem;
  align-items: flex-start;
  width: 100%;
  height: 100%;
}
.r-programming .use .use-info .image {
  display: flex;
  height: 100%;
  width: 100%;
}
.r-programming .use .use-info .image img {
  width: 100%;
  height: 100%;
}
.r-programming .faq .faq-container,
.r-programming .faq .faq-list,
.r-programming .faq .client,
.r-programming .faq .client-item,
.r-programming .faq .client-list,
.r-programming .faq .faq-item {
  display: flex;
  flex-direction: column;
}
.r-programming .faq .client-item {
  width: 90%;
}
.r-programming .faq .client-item img {
  width: 110px;
  height: 20px;
}
.r-programming .faq .client-item p {
  margin: 1rem 0;
}
.r-programming .faq .client-item h3 {
  color: #FE4019;
  font-size: 18px;
  font-weight: 500;
}
.r-programming .faq .faq-list {
  margin-top: 1.5rem;
}
.r-programming .faq .faq-list h2 {
  color: rgba(62, 33, 133, 0.12);
  font-size: 92px;
  line-height: 1;
}
.r-programming .faq .owl-nav {
  display: flex;
  justify-content: space-between;
  width: 80px;
  margin-top: 1rem;
}
.r-programming .faq .owl-nav .owl-prev,
.r-programming .faq .owl-nav .owl-next {
  display: flex;
  background-image: url(/_public/images/r-programming/nav-arrow.svg);
  background-size: 100% 100%;
  width: 30px;
  height: 30px;
  opacity: 0.5;
}
.r-programming .faq .owl-nav .owl-prev {
  transform: rotate(180deg);
}
.r-programming .faq .owl-nav .btn-active {
  opacity: 1;
}
.r-programming .faq .faq-item {
  margin-top: 1.2rem;
  border-radius: 12px;
  box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.2);
  overflow: hidden;
}
.r-programming .faq .ques {
  display: flex;
  cursor: pointer;
  padding: 0.8rem 1rem;
  justify-content: space-between;
}
.r-programming .faq .ques h3 {
  font-size: 14px;
  width: calc(100% - 25px);
}
.r-programming .faq .ques span {
  display: flex;
  width: 20px;
  height: 20px;
}
.r-programming .faq .ques span img {
  width: 100%;
  height: 100%;
}
.r-programming .faq .ques span img:last-child {
  display: none;
}
.r-programming .faq .ans {
  display: none;
  padding: 0.8rem 1rem;
}
.r-programming .faq .ans p,
.r-programming .faq .ans li {
  font-size: 13px;
}
.r-programming .faq .ans ul {
  padding-left: 1rem;
}
.r-programming .faq .ans ul li {
  list-style: disc;
  margin-top: 0.5rem;
  line-height: 1.6;
}
.r-programming .faq .active .ques {
  background-color: #3E2185;
}
.r-programming .faq .active .ques h3 {
  color: #FFFFFF;
}
.r-programming .faq .active .ques span img:first-child {
  display: none;
}
.r-programming .faq .active .ques span img:last-child {
  display: flex;
}
.r-programming .footer {
  background-color: #3E2185;
}
.r-programming .footer .footer-container,
.r-programming .footer .footer-content,
.r-programming .footer .info,
.r-programming .footer form,
.r-programming .footer .input-list,
.r-programming .footer .contact-list {
  display: flex;
  flex-direction: column;
}
.r-programming .footer form {
  margin-bottom: 0;
}
.r-programming .footer form .input-list .input-error {
  border-color: #ff0000;
}
.r-programming .footer form .input-list .input-error ::-webkit-input-placeholder {
  color: #ff0000;
}
.r-programming .footer form .input-list .input-error :-ms-input-placeholder {
  color: #ff0000;
}
.r-programming .footer form .input-list .input-error ::placeholder {
  color: #ff0000;
}
.r-programming .footer form .input-list .input-error span .white {
  display: none;
}
.r-programming .footer form .input-list .input-error span .red {
  display: flex;
}
.r-programming .footer form .buttons .btn-orange {
  min-width: 120px;
  font-size: 14px;
}
.r-programming .footer form .buttons img {
  height: 16px;
}
.r-programming .footer .input-container {
  display: flex;
  margin-bottom: 1.3rem;
  padding: 0.5rem;
  justify-content: space-between;
  border: 1px solid #FFFFFF;
  border-radius: 4px;
}
.r-programming .footer .input-container input,
.r-programming .footer .input-container textarea {
  width: 85%;
  border: none;
  outline: none;
  padding: 0;
  background-color: transparent;
  color: #FFFFFF;
}
.r-programming .footer .input-container textarea {
  resize: none;
  overflow: auto;
  min-height: 50px;
}
.r-programming .footer .input-container span {
  display: flex;
  width: 16px;
  height: 16px;
}
.r-programming .footer .input-container span img {
  width: 100%;
  height: 100%;
}
.r-programming .footer .input-container span .white {
  display: flex;
}
.r-programming .footer .input-container span .red {
  display: none;
}
.r-programming .footer .input-container ::-webkit-input-placeholder {
  color: #FFFFFF;
}
.r-programming .footer .input-container :-ms-input-placeholder {
  color: #FFFFFF;
}
.r-programming .footer .form-consent {
  display: flex;
  margin-bottom: 0.5rem;
}
.r-programming .footer .form-consent:nth-last-child(2) {
  margin-bottom: 0;
}
.r-programming .footer .form-consent label {
  display: flex;
  align-self: center;
  cursor: pointer;
  margin-left: 0.3rem;
  font-size: 11px;
  width: 90%;
  color: #FFFFFF;
}
.r-programming .footer .form-consent p {
  font-size: 11px;
  color: #FFFFFF;
}
.r-programming .footer .form-consent a {
  color: #FE4019;
  font-weight: 600;
}
.r-programming .footer .consent-error p {
  color: #ff0000;
  font-size: 11px;
  margin-bottom: 0.5rem;
}
.r-programming .footer .footer-content {
  margin-top: 2rem;
}
.r-programming .footer .footer-content .heading {
  margin-bottom: 0;
}
.r-programming .footer .contact-item {
  display: flex;
  margin-top: 1rem;
  align-items: center;
  justify-content: space-between;
}
.r-programming .footer .contact-item span {
  display: flex;
  padding: 0.7rem;
  width: 50px;
  height: 50px;
  border-radius: 5px;
  background-color: #6548AC;
  border: 1px solid #FFFFFF;
}
.r-programming .footer .contact-item span img {
  width: 100%;
  height: 100%;
}
.r-programming .footer .contact-item h3 {
  font-size: 14px;
  color: #FFFFFF;
  margin-bottom: 0.2rem;
}
.r-programming .footer .contact-item a {
  font-size: 12px;
  color: #FFFFFF;
}
.r-programming .footer .info {
  width: calc(100% - 60px);
}
.r-programming .footer .info .stars {
  width: 116px;
  height: 20px;
}
@media (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .r-programming .banner .banner-content h1 {
    color: #3E2185;
  }
}
@media (min-width : 768px) {
  section {
    padding: 3rem 2rem;
  }
  .r-programming .banner .menu.active + .menu-links {
    width: 50%;
  }
  .r-programming .banner .banner-content h4 {
    width: 461px;
  }
  .r-programming .banner .banner-info {
    display: none;
  }
  .r-programming .banner .overview-container {
    margin-top: 2rem;
    flex-direction: row-reverse;
    justify-content: space-between;
    padding: 2rem;
  }
  .r-programming .banner .overview-container .overview-content {
    width: 48%;
    align-items: flex-start;
  }
  .r-programming .banner .overview-container .overview-content .heading h2 {
    text-align: left;
  }
  .r-programming .banner .overview-container .overview-content p {
    text-align: left;
  }
  .r-programming .banner .overview-container .overview-info {
    width: 48%;
    margin-top: 0;
    position: sticky;
    top: 60px;
  }
  .r-programming .banner .method-container {
    flex-flow: wrap;
    justify-content: space-between;
    padding: 2rem;
  }
  .r-programming .banner .method-container .method-content {
    width: 58%;
  }
  .r-programming .banner .method-container .method-content .heading h2,
  .r-programming .banner .method-container .method-content .heading p {
    text-align: left;
  }
  .r-programming .banner .method-container .method-content .buttons {
    align-self: flex-start;
  }
  .r-programming .banner .method-container .method-item {
    width: 31%;
    margin-top: 3rem;
    height: 226px;
    padding: 0;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) {
    width: 38%;
    margin-top: 0;
    height: 244px;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) span {
    height: 184px;
  }
  .r-programming .banner .method-container .method-item span {
    height: 165px;
  }
  .r-programming .banner .method-container .method-item .content {
    height: 50px;
    bottom: 0;
  }
  .r-programming .course .course-list {
    flex-flow: wrap;
    justify-content: center;
  }
  .r-programming .course .course-item {
    width: 45%;
    margin-right: 2rem;
  }
  .r-programming .course .course-item h3 {
    min-height: 42px;
  }
  .r-programming .course .course-item:nth-child(2n) {
    margin-right: 0;
  }
  .r-programming .fact .fact-item {
    width: 25%;
    border-right: 1px solid #707070;
    padding: 0 2rem;
  }
  .r-programming .fact .fact-item:last-child {
    border-right: 0;
  }
  .r-programming .onsite .onsite-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .r-programming .onsite .onsite-info {
    width: 48%;
  }
  .r-programming .onsite .onsite-content {
    width: 48%;
    margin-top: 0;
  }
  .r-programming .feature .feature-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .r-programming .feature .feature-content {
    width: 54%;
    align-items: flex-start;
  }
  .r-programming .feature .feature-content .heading h2 {
    text-align: left;
  }
  .r-programming .feature .feature-content p {
    text-align: left;
  }
  .r-programming .feature .feature-info {
    width: 43%;
    position: sticky;
    top: 60px;
    margin-top: 0;
  }
  .r-programming .learn .learn-list {
    flex-flow: wrap;
    justify-content: space-between;
    align-items: center;
  }
  .r-programming .learn ul {
    width: 30%;
  }
  .r-programming .learn ul:nth-child(3) li:first-child {
    margin-top: 0;
  }
  .r-programming .learn .learn-info {
    width: 38%;
    margin-top: 0;
  }
  .r-programming .choose .choose-list {
    flex-flow: wrap;
    justify-content: space-around;
  }
  .r-programming .choose .choose-item {
    width: 45%;
  }
  .r-programming .use .use-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
  }
  .r-programming .use .use-content {
    width: 47%;
    align-items: flex-start;
  }
  .r-programming .use .use-content .heading h2 {
    text-align: left;
  }
  .r-programming .use .use-content p {
    text-align: left;
  }
  .r-programming .use .use-info {
    position: sticky;
    width: 49%;
    margin-top: 0;
    top: 60px;
  }
  .r-programming .faq .faq-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .r-programming .faq .client {
    width: 47%;
  }
  .r-programming .faq .faq-list {
    margin-top: 0;
    width: 47%;
  }
  .r-programming .faq .faq-list .faq-item:first-child {
    margin-top: 0;
  }
  .r-programming .footer .footer-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .r-programming .footer form {
    width: 48%;
  }
  .r-programming .footer .footer-content {
    width: 44%;
    margin-top: 0;
  }
  .r-programming .footer .contact-item {
    margin-top: 2rem;
  }
}
@media (min-width : 1024px) {
  p {
    line-height: 1.8;
  }
  .r-programming .heading h2 {
    font-size: 28px;
  }
  .r-programming .buttons .btn-orange {
    font-size: 16px;
  }
  .r-programming .banner {
    position: relative;
    padding-bottom: 6rem;
    background-image: url(/_public/images/r-programming/particles.png);
    background-size: 100% 45%;
    overflow: hidden;
  }
  .r-programming .banner::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: calc(100% + 86px);
    height: 100%;
    background-image: url(/_public/images/r-programming/banner-bg.png);
    background-size: 100% 100%;
    z-index: -1;
  }
  .r-programming .banner .menu {
    display: none;
  }
  .r-programming .banner .logo-container {
    border: none;
    padding-bottom: 0;
  }
  .r-programming .banner .tka-logo {
    max-width: 220px;
  }
  .r-programming .banner .sticky {
    padding: 1rem 2rem !important;
  }
  .r-programming .banner .menu-links {
    width: 75%;
    display: flex;
    justify-content: flex-end;
    position: relative;
    box-shadow: none;
    background-color: transparent;
    color: #191919;
  }
  .r-programming .banner .menu-links .buttons .btn-white {
    display: none;
  }
  .r-programming .banner .menu-toggle {
    display: none;
  }
  .r-programming .banner ul {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
  .r-programming .banner ul .links-li {
    border-bottom: none;
    margin-right: 1.5rem;
    padding: 0;
    font-size: 15px;
    color: #191919;
    cursor: pointer;
    z-index: 1;
    position: relative;
  }
  .r-programming .banner ul .links-li::before,
  .r-programming .banner ul .links-li:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #3E2185;
    transform: scaleX(0);
    transition: transform 0.2s 0.3s;
    transition: 1.5s all;
  }
  .r-programming .banner ul .links-li::before {
    top: -1px;
    left: 0;
    transform-origin: top left;
  }
  .r-programming .banner ul .links-li::after {
    bottom: -2px;
    right: 0;
    transform-origin: bottom right;
  }
  .r-programming .banner ul .links-li:hover::before {
    transform: scaleY(1);
    transition: transform 0.2s 0.3s;
    transition: 1s all;
  }
  .r-programming .banner ul .links-li:hover::after {
    transform: scaleY(1);
    transition: transform 0.2s 0.1s;
  }
  .r-programming .banner ul .links-li:last-child {
    display: flex;
    margin: 0;
  }
  .r-programming .banner ul .links-li:last-child:hover::after,
  .r-programming .banner ul .links-li:last-child:hover::before {
    content: none;
  }
  .r-programming .banner .banner-container {
    flex-direction: row;
    justify-content: space-between;
    padding: 3rem 0 5rem 0;
    align-items: center;
  }
  .r-programming .banner .banner-content {
    width: 48%;
  }
  .r-programming .banner .banner-content h1 {
    font-size: 46px;
  }
  .r-programming .banner .banner-content h1 img {
    width: 58px;
    height: 58px;
  }
  .r-programming .banner .banner-info {
    display: flex;
    width: 46%;
    margin-top: 0;
    padding: 1rem 4rem;
  }
  .r-programming .banner .overview-container {
    background-color: transparent;
    align-items: center;
    padding: 0;
  }
  .r-programming .banner .overview-container .overview-content {
    width: 58%;
  }
  .r-programming .banner .overview-container .overview-info {
    width: 35%;
  }
  .r-programming .banner .overview-container .overview-info::before {
    content: '';
    position: absolute;
    background-image: url(/_public/images/r-programming/grid.png);
    background-size: 100% 100%;
    width: 89%;
    height: 89%;
    left: -90px;
    bottom: -12px;
    z-index: 0;
    animation: pulse 6s linear infinite;
  }
  .r-programming .banner .method-container {
    background-color: transparent;
    position: relative;
    padding: 4rem 0 0;
  }
  .r-programming .banner .method-container::before {
    content: '';
    position: absolute;
    background-image: url(/_public/images/r-programming/circle.png);
    background-size: 100% 100%;
    width: 60%;
    right: -28px;
    bottom: 0;
    top: -110px;
    animation: scale 4s linear infinite;
    z-index: -1;
  }
  .r-programming .banner .method-container .method-content {
    width: 43%;
  }
  .r-programming .banner .method-container .method-item {
    height: 265px;
  }
  .r-programming .banner .method-container .method-item span {
    height: 220px;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) {
    flex-direction: row;
    width: 54%;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) span {
    border-radius: 10px 0 0 10px;
    width: 50%;
    height: 100%;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) .content {
    width: 50%;
    background-color: #FFFFFF;
    position: relative;
    justify-content: center;
    height: 100%;
    border-radius: 0px 10px 10px 0;
    padding: 3rem 1.5rem 1.5rem;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) .content h4,
  .r-programming .banner .method-container .method-item:nth-child(2) .content p,
  .r-programming .banner .method-container .method-item:nth-child(2) .content a {
    display: flex;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) .content h3 {
    color: #191919;
  }
  .r-programming .banner .method-container .method-item .content {
    height: 30px;
  }
  .r-programming .banner .method-container .method-item .content h3 {
    font-size: 18px;
  }
  .r-programming .course {
    padding-top: 3rem;
  }
  .r-programming .course .course-item {
    width: 29%;
  }
  .r-programming .course .course-item:nth-child(2n) {
    margin-right: 2rem;
  }
  .r-programming .course .course-item:nth-child(3n) {
    margin-right: 0;
  }
  .r-programming .course .course-item:last-child {
    margin-right: 0;
  }
  .r-programming .fact .heading {
    width: 80%;
    margin: auto;
  }
  .r-programming .onsite .onsite-container {
    align-items: center;
  }
  .r-programming .onsite .onsite-info {
    flex-flow: wrap;
    justify-content: space-between;
  }
  .r-programming .onsite .certified {
    width: 56%;
  }
  .r-programming .onsite .certified:nth-child(2) {
    width: 42.5%;
    margin-top: 0;
  }
  .r-programming .onsite .certified:nth-child(3) {
    width: 100%;
  }
  .r-programming .onsite .certified:nth-child(3) img {
    width: 100px;
    height: 100%;
    display: flex;
  }
  .r-programming .onsite .certified:nth-child(3) .content {
    width: calc(100% - 123px);
  }
  .r-programming .onsite .certified:nth-child(3) .content ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  .r-programming .onsite .certified:nth-child(3) .content ul li {
    width: 43%;
  }
  .r-programming .feature .feature-info {
    position: static;
    top: 0;
  }
  .r-programming .learn .learn-list {
    width: 82%;
    margin: auto;
  }
  .r-programming .learn .learn-list ul li {
    margin-top: 3rem;
  }
  .r-programming .learn .learn-list ul:nth-child(1) li {
    padding: 1.5rem 1.2rem 1.5rem 3rem;
  }
  .r-programming .learn .learn-list ul:nth-child(1) li:nth-child(2) {
    transform: translateX(-35px);
  }
  .r-programming .learn .learn-list ul:nth-child(3) li {
    padding: 1.5rem 3rem 1.5rem 1.2rem;
  }
  .r-programming .learn .learn-list ul:nth-child(3) li:nth-child(2) {
    transform: translateX(35px);
  }
  .r-programming .learn .learn-info {
    width: 40%;
  }
  .r-programming .choose .heading {
    width: 80%;
    margin: auto;
  }
  .r-programming .choose .choose-list {
    align-self: center;
    width: 85%;
  }
  .r-programming .use .use-info {
    position: static;
    top: 0px;
  }
  .r-programming .faq {
    overflow: hidden;
  }
  .r-programming .faq .faq-container {
    width: 91%;
    position: relative;
  }
  .r-programming .faq .client {
    width: 38%;
  }
  .r-programming .faq .faq-list {
    width: 60%;
    padding-left: 2rem;
    border-left: 1px solid #B7B7B7;
  }
  .r-programming .faq .faq-list h2 {
    position: absolute;
    right: -200px;
    top: 150px;
    transform: rotate(90deg);
  }
  .r-programming .faq .faq-list .faq-item:nth-child(2) {
    margin-top: 0;
  }
  .r-programming .footer {
    background-color: transparent;
    background-image: url(/_public/images/r-programming/footer-bg.png);
    background-size: 100% 100%;
    padding-top: 5rem;
  }
  .r-programming .footer .input-list {
    flex-flow: wrap;
    justify-content: space-between;
  }
  .r-programming .footer .input-container {
    width: 47.5%;
  }
  .r-programming .footer .input-container:last-child {
    width: 100%;
  }
  .r-programming .footer .contact-item span {
    width: 57px;
    height: 57px;
    padding: 0.9rem;
  }
  .r-programming .footer .contact-item a {
    font-size: 14px;
  }
  .r-programming .footer .info {
    width: calc(100% - 70px);
  }
}
@media (min-width : 1366px) {
  .container {
    width: 1200px;
    margin: 0 auto;
  }
  section {
    padding: 4rem 0rem;
  }
  .r-programming .banner::before {
    width: calc(100% + 145px);
  }
  .r-programming .banner .menu-links .buttons .btn-white {
    display: flex;
    margin-right: 1.5rem;
  }
  .r-programming .banner .banner-content h1 {
    font-size: 54px;
  }
  .r-programming .banner .overview-container .overview-info {
    top: 0;
    position: relative;
  }
  .r-programming .banner .method-container .method-item {
    height: 290px;
  }
  .r-programming .banner .method-container .method-item:nth-child(2) {
    width: 48%;
  }
  .r-programming .banner .method-container .method-item span {
    height: 250px;
  }
  .r-programming .course .course-item {
    width: 23%;
  }
  .r-programming .course .course-item:nth-child(3n) {
    margin-right: 2rem;
  }
  .r-programming .feature .feature-info {
    width: 34%;
  }
  .r-programming .choose .choose-list {
    justify-content: space-between;
    width: 100% ;
  }
  .r-programming .choose .choose-item {
    width: 22.5%;
  }
  .r-programming .choose .choose-item h3 {
    min-height: 98px;
  }
  .r-programming .use .use-info {
    width: 43%;
  }
}
